You are viewing an older version. Click here to view the latest
Server
https://trust-and-safety.yoti.com
Server Variables
apiKey ApiKeyAuth
Fields
KeyIn
AuthorizationHeader

Create an account to use for moderation

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Content-Typestring

Define the content-type of the request payload.

Enum: application/json

Request Body

Request an account

objectobject
namestring
POST /accounts
curl --request POST \
--url 'https://trust-and-safety.yoti.com/accounts' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--header 'Content-Type: {Content-Type}' \
--data '{
"name": "my demo account"
}'
Copy
Responses
201

Created

objectobject
idstring

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

400

Bad request

401

Unauthorized

409

Duplicate account name error

422

Too many accounts created

500

Internal server error

Response
{
"id": "{string}"
}
Copy

Retrieve an account

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

GET /accounts/{accountId}
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
200

account response

No response body
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
No response
Copy

Delete an account

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

DELETE /accounts/{accountId}
curl --request DELETE \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
204

account deleted

No response body
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
No response
Copy

Update account class

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Request Body

Update an account class

objectobject
namestring
POST /accounts/{accountId}/update-account-class
curl --request POST \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/update-account-class' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data '{
"name": "todo"
}'
Copy
Responses
200

Created

objectobject
idstring

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

500

Internal server error

Response
{
"id": "{string}"
}
Copy

List the accounts pending invitiations

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

GET /accounts/{accountId}/invitations
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/invitations' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
200

OK

invitations6 fieldsarray
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
{
"schema": "{}"
}
Copy

Invite a user to the account

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Request Body

Request a user joins an account

objectobject
emailstring

maxLength: 100

minLength: 7

adminboolean
POST /accounts/{accountId}/invitations
curl --request POST \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/invitations' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data '{
"email": "{string}",
"admin": "{boolean}"
}'
Copy
Responses
201

Created

objectobject
idstring

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
{
"id": "{string}"
}
Copy

Revoke a pending invitation

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

invitationIdstring

The ID of an invitation resource

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

DELETE /accounts/{accountId}/invitations/{invitationId}
curl --request DELETE \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/invitations/fd93da66-b9c1-4a7c-8719-de5bb9ceb7f7' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
204

Resource deleted

No response body
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
No response
Copy

List account members

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

GET /accounts/{accountId}/members
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/members' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
200

OK

members6 fieldsarray
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
{
"schema": "{}"
}
Copy

Fetch account member

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

memberIdstring

The ID of an member resource

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

GET /accounts/{accountId}/members/{memberId}
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/members/fd93da66-b9c1-4a7c-8719-de5bb9ceb7f7' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
200

Resource found

No response body
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
No response
Copy

Update the scopes available to a member

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

memberIdstring

The ID of an member resource

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Request Body

Body to be sent when modifying an account members scopes

scopesarray[string]

Enum: contents:list,contents:manage,contents:moderate,contents:view,contents:reports:list,contents:reports:moderate,flags:manage,members:manage,moderations:manage,moderations:view,notifications:manage,notifications:view,profiles:list,profiles:manage,profiles:view,reports:view,reports:manage

PUT /accounts/{accountId}/members/{memberId}
curl --request PUT \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/members/fd93da66-b9c1-4a7c-8719-de5bb9ceb7f7' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data '{
"scopes": [
"contents:list",
"contents:manage",
"contents:moderate",
"contents:view",
"moderations:manage",
"moderations:view",
"profiles:view",
"reports:view",
"reports:manage"
]
}'
Copy
Responses
204

Resource deleted

No response body
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
No response
Copy

Remove account member

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

memberIdstring

The ID of an member resource

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

DELETE /accounts/{accountId}/members/{memberId}
curl --request DELETE \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/members/fd93da66-b9c1-4a7c-8719-de5bb9ceb7f7' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
204

Resource deleted

No response body
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
No response
Copy

List available scopes

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

GET /accounts/{accountId}/scopes
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/scopes' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
200

List of scopes

No response body
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
No response
Copy

Upgrade account member to admin

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Request Body

Body to be sent when converting an account member into an account admin

member_idstring

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

POST /accounts/{accountId}/admin
curl --request POST \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/admin' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data '{
"schema": "{}"
}'
Copy
Responses
200

Member made admin

No response body
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
No response
Copy

Downgrade account member

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

memberIdstring

The ID of an member resource

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

DELETE /accounts/{accountId}/admin/{memberId}
curl --request DELETE \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/admin/fd93da66-b9c1-4a7c-8719-de5bb9ceb7f7' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
204

Resource deleted

No response body
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
No response
Copy

Add content to archive

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Request Body

Request content archived

objectobject
content_idstring

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

POST /accounts/{accountId}/archive/contents
curl --request POST \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/archive/contents' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data '{
"content_id": "{string}"
}'
Copy
Responses
204

Resource archived

No response body
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
No response
Copy

Remove content from archive

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

idstring

The ID of a resource to operate on

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

DELETE /accounts/{accountId}/archive/contents/{id}
curl --request DELETE \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/archive/contents/c32c25e2-f7e6-4cb4-879a-771730e881ed' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
204

Resource unarchived

No response body
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
No response
Copy

List records

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

GET /accounts/{accountId}/contents
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/contents' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
201

Created

objectobject
idstring

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
{
"id": "{string}"
}
Copy

Create a record of a content

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Request Body

Request content stored

objectobject
urlstring

pattern: https?://*

typestring

Enum: IMAGE,VIDEO,LIVE_VIDEO

profile_idsarray[string]
uploader_idstring

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

titlestring

maxLength: 200

minLength: 0

POST /accounts/{accountId}/contents
curl --request POST \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/contents' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data '{
"url": "https://cdn.example.com/hls/stream/profile/playlist.m3u8",
"type": "LIVE_VIDEO",
"profile_ids": [
"{array[string]...}"
],
"uploader_id": "{string}",
"title": "{string}"
}'
Copy
Responses
201

Created

objectobject
idstring

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
{
"id": "{string}"
}
Copy

Fetch content

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

idstring

The ID of a resource to operate on

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

GET /accounts/{accountId}/contents/{id}
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/contents/c32c25e2-f7e6-4cb4-879a-771730e881ed' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
200

OK

No response body
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
No response
Copy

Add a profile to content

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

idstring

The ID of a resource to operate on

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Request Body

Body to be sent when upholding a content report

profile_idstring

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

POST /accounts/{accountId}/contents/{id}/profiles
curl --request POST \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/contents/c32c25e2-f7e6-4cb4-879a-771730e881ed/profiles' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data '{
"schema": "{}"
}'
Copy
Responses
200

OK

reports6 fieldsarray
total_countnumber
400

Bad request

401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
{
"schema": "{}"
}
Copy

Remove profile from content

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

idstring

The ID of a resource to operate on

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

profileIdstring

The ID of the profile resource subject to query or modification

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

DELETE /accounts/{accountId}/contents/{id}/profiles/{profileId}
curl --request DELETE \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/contents/c32c25e2-f7e6-4cb4-879a-771730e881ed/profiles/9a4534a3-a4c1-4a09-ade0-e1d9d457b40d' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
204

OK

reports6 fieldsarray
total_countnumber
400

Bad request

401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
{
"schema": "{}"
}
Copy

Fetch a paginated list of moderation requests filtered by content id

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

idstring

The ID of a resource to operate on

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Query String
pageinteger

Which page of resources to fetch

minimum: 1

Default: 1

GET /accounts/{accountId}/contents/{id}/moderations
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/contents/c32c25e2-f7e6-4cb4-879a-771730e881ed/moderations' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data page=1
Copy
Responses
200

OK

contents5 fieldsobject
400

Bad request

401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
{
"schema": "{}"
}
Copy

Fetch reports for a specific item of content

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

idstring

The ID of a resource to operate on

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Query String
pageinteger

Which page of resources to fetch

minimum: 1

Default: 1

GET /accounts/{accountId}/contents/{id}/reports
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/contents/c32c25e2-f7e6-4cb4-879a-771730e881ed/reports' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data page=1
Copy
Responses
200

OK

reports6 fieldsarray
total_countnumber
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
{
"schema": "{}"
}
Copy

Fetch a paginated list of moderation requests

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Query String
pageinteger

Which page of resources to fetch

minimum: 1

Default: 1

typestring

The type of content to filter by

Enum: VIDEO,LIVE_VIDEO,IMAGE

GET /accounts/{accountId}/moderations
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/moderations' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data page=1 \
--data type=VIDEO
Copy
Responses
200

OK

contents5 fieldsobject
400

Bad request

401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
{
"schema": "{}"
}
Copy

Request a resource is moderated

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Content-Typestring

Define the content-type of the request payload.

Enum: application/json

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Request Body

Request moderation job

objectobject
content_idstring

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

profile_idsarray[string]
age_estimationinteger

maximum: 100

minimum: 0

unknown_facesboolean
banned_profilesboolean
notifications4 fieldsobject
POST /accounts/{accountId}/moderations
curl --request POST \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/moderations' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--header 'Content-Type: {Content-Type}' \
--data '{
"content_id": "{string}",
"profile_ids": [
"{array[string]...}"
],
"age_estimation": 18,
"unknown_faces": true,
"banned_profiles": true,
"notifications": {
"web_destinations": "https://example.com/webhook?exampleArgument=exampleValue",
"slack_destinations": "https://hooks.slack.com/services/T0000000/B000000/XXXXXXX",
"member_id": "{string}",
"has_websocket": "{boolean}"
}
}'
Copy
Responses
201

Created

objectobject
idstring

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

400

Bad request

401

Unauthorized

422

Content can't be reached

500

Internal server error

Response
{
"id": "{string}"
}
Copy

Request an overview of a specific moderation request

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

moderationIdstring

The ID of the moderation resource subject to query or modification

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

GET /accounts/{accountId}/moderations/{moderationId}
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/moderations/fd93da66-b9c1-4a7c-8719-de5bb9ceb7f7' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
200

OK

content3 fieldsobject
uploader3 fieldsobject
profiles3 fieldsarray[object]
groupsarray[object]
idstring
labelstring
400

Bad request

401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
{
"schema": "{}"
}
Copy

Request the details for a specific moderation request

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

moderationIdstring

The ID of the moderation resource subject to query or modification

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

GET /accounts/{accountId}/moderations/{moderationId}/details
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/moderations/fd93da66-b9c1-4a7c-8719-de5bb9ceb7f7/details' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
200

OK

contents5 fieldsobject
400

Bad request

401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
{
"schema": "{}"
}
Copy

DEPRECATE - Request the results of a moderation requestDeprecated

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

moderationIdstring

The ID of the moderation resource subject to query or modification

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

GET /accounts/{accountId}/moderations/{moderationId}/results
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/moderations/fd93da66-b9c1-4a7c-8719-de5bb9ceb7f7/results' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
200

OK

content_typestring

Enum: VIDEO,LIVE_VIDEO,IMAGE

urlstring
face_check_results9 fieldsarray
400

Bad request

401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
{
"schema": "{}"
}
Copy

Request the results of a moderation request

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

moderationIdstring

The ID of the moderation resource subject to query or modification

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

GET /accounts/{accountId}/moderations/{moderationId}/report
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/moderations/fd93da66-b9c1-4a7c-8719-de5bb9ceb7f7/report' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
200

OK

banned_facesboolean
unknown_facesboolean
age_groupsarray[string]

Enum: threshold_met,not_required,unknown,child,teenager_young,teenager_old,adult_young,adult

urlstring
face_check_results9 fieldsarray
400

Bad request

401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
{
"schema": "{}"
}
Copy

Request the notifications generated for a moderation

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

moderationIdstring

The ID of the moderation resource subject to query or modification

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Query String
pageinteger

Which page of resources to fetch

minimum: 1

Default: 1

epochinteger

starting date for a filter

GET /accounts/{accountId}/moderations/{moderationId}/notifications
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/moderations/fd93da66-b9c1-4a7c-8719-de5bb9ceb7f7/notifications' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data page=1 \
--data epoch={epoch}
Copy
Responses
200

OK

account_idstring

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

typestring

Enum: FACE,ACTION

created_atdate-time
data12 fieldsobject
400

Bad request

401

Unauthorized

404

Specified resource not found

422

Pagingation out of range

500

Internal server error

Response
{
"schema": "{}"
}
Copy

Stop a running moderation

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

moderationIdstring

The ID of the moderation resource subject to query or modification

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

POST /accounts/{accountId}/moderations/{moderationId}/stop
curl --request POST \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/moderations/fd93da66-b9c1-4a7c-8719-de5bb9ceb7f7/stop' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
202

accepted

No response body
400

Bad request

401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
No response
Copy

Request latest notifications

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Query String
pageinteger

Which page of resources to fetch

minimum: 1

Default: 1

epochinteger

starting date for a filter

GET /accounts/{accountId}/notifications
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/notifications' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data page=1 \
--data epoch={epoch}
Copy
Responses
200

List of notifications sorted most recent to oldest

objectobject
notifications4 fieldsarray
metaobject
total_countinteger
pageinteger
400

Bad request

401

Unauthorized

404

Specified resource not found

422

Pagingation out of range

500

Internal server error

Response
{
"notifications": [
"{array...}"
],
"meta": {
"total_count": 1,
"page": 1
}
}
Copy

Request a specific notification

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

idstring

The ID of a resource to operate on

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

GET /accounts/{accountId}/notifications/{id}
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/notifications/c32c25e2-f7e6-4cb4-879a-771730e881ed' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
200

OK

account_idstring

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

typestring

Enum: FACE,ACTION

created_atdate-time
data14 fieldsobject
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
{
"schema": "{}"
}
Copy

Record a notification as incorrect

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

idstring

The ID of a resource to operate on

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Request Body

Create a review for a notification

commentstring

Why the review score was given

maxLength: 500

POST /accounts/{accountId}/notifications/{id}/accept
curl --request POST \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/notifications/c32c25e2-f7e6-4cb4-879a-771730e881ed/accept' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data '{
"schema": "{}"
}'
Copy
Responses
200

OK

No response body
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
No response
Copy

Record a notification as incorrect

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

idstring

The ID of a resource to operate on

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Request Body

Create a review for a notification

commentstring

Why the review score was given

maxLength: 500

POST /accounts/{accountId}/notifications/{id}/dismiss
curl --request POST \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/notifications/c32c25e2-f7e6-4cb4-879a-771730e881ed/dismiss' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data '{
"schema": "{}"
}'
Copy
Responses
200

OK

No response body
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
No response
Copy

Fetch pagingated list of reviews for a notification

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

idstring

The ID of a resource to operate on

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Query String
pageinteger

Which page of resources to fetch

minimum: 1

Default: 1

GET /accounts/{accountId}/notifications/{id}/reviews
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/notifications/c32c25e2-f7e6-4cb4-879a-771730e881ed/reviews' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data page=1
Copy
Responses
200

OK

reviews6 fieldsarray
total_countnumber
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
{
"schema": "{}"
}
Copy

List profiless for a given account

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Query String
pageinteger

Which page of resources to fetch

minimum: 1

Default: 1

GET /accounts/{accountId}/profiles
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/profiles' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data page=1
Copy
Responses
200

OK

profiles4 fieldsarray
400

Bad request

401

Unauthorized

404

Specified resource not found

422

Pagingation out of range

500

Internal server error

Response
{
"schema": "{}"
}
Copy

Create a profile that can contain a collection of faces

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Content-Typestring

Define the content-type of the request payload.

Enum: application/json

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Request Body

Create a profile

display_namestring

How should this profile be named in a platform, for visual representation to a human

referencestring

A reference string used to identify the profile in a consistent manner, assuming the display_name may change over time

biometric_consentstring

A reference string used to identify when consent for biometric processing was obtained for the profile

POST /accounts/{accountId}/profiles
curl --request POST \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/profiles' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--header 'Content-Type: {Content-Type}' \
--data '{
"schema": "{}"
}'
Copy
Responses
201

Created

objectobject
idstring

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
{
"id": "{string}"
}
Copy

Fetch a profile's details

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

profileIdstring

The ID of the profile resource subject to query or modification

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

GET /accounts/{accountId}/profiles/{profileId}
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/profiles/9a4534a3-a4c1-4a09-ade0-e1d9d457b40d' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
200

OK

profile_idstring

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

is_bannedboolean

Is the profile on the ban list

Deprecated

is_activeboolean

Is the profile active, if the profile is not active it will be deleted. Further actions will not be possible with this profile

Deprecated

activeboolean

Is the profile active, if the profile is not active it will be deleted. Further actions will not be possible with this profile

401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
{
"schema": "{}"
}
Copy

Delete a profile and all faces

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

profileIdstring

The ID of the profile resource subject to query or modification

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

DELETE /accounts/{accountId}/profiles/{profileId}
curl --request DELETE \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/profiles/9a4534a3-a4c1-4a09-ade0-e1d9d457b40d' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
202

OK

No response body
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
No response
Copy

Extend the lifecycle of a profileDeprecated

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Content-Typestring

Define the content-type of the request payload.

Enum: application/json

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

profileIdstring

The ID of the profile resource subject to query or modification

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

POST /accounts/{accountId}/profiles/{profileId}/retain
curl --request POST \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/profiles/9a4534a3-a4c1-4a09-ade0-e1d9d457b40d/retain' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--header 'Content-Type: {Content-Type}'
Copy
Responses
202

OK

No response body
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
No response
Copy

Get faces in profile

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Content-Typestring

Define the content-type of the request payload.

Enum: application/json

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

profileIdstring

The ID of the profile resource subject to query or modification

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

GET /accounts/{accountId}/profiles/{profileId}/faces
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/profiles/9a4534a3-a4c1-4a09-ade0-e1d9d457b40d/faces' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--header 'Content-Type: {Content-Type}'
Copy
Responses
200

OK

No response body
400

Bad request

401

Unauthorized

404

Profile has been archived

410

Specified resource not found

500

Internal server error

Response
No response
Copy

Add a face to profile

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Content-Typestring

Define the content-type of the request payload.

Enum: application/json

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

profileIdstring

The ID of the profile resource subject to query or modification

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Request Body

Payload of a face to add

objectobject
imagestring

base64 encoding png or jpeg of the individuals face (one face only)

POST /accounts/{accountId}/profiles/{profileId}/faces
curl --request POST \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/profiles/9a4534a3-a4c1-4a09-ade0-e1d9d457b40d/faces' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--header 'Content-Type: {Content-Type}' \
--data '{
"image": "{string}"
}'
Copy
Responses
201

Created

objectobject
idstring

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

400

Bad request

401

Unauthorized

404

Profile has been archived

410

Specified resource not found

500

Internal server error

Response
{
"id": "{string}"
}
Copy

Retrieve a face from the list of faces added by the intergator

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

profileIdstring

The ID of the profile resource subject to query or modification

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

idstring

The ID of a resource to operate on

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

DELETE /accounts/{accountId}/profiles/{profileId}/faces/{id}
curl --request DELETE \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/profiles/9a4534a3-a4c1-4a09-ade0-e1d9d457b40d/faces/c32c25e2-f7e6-4cb4-879a-771730e881ed' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
202

OK

No response body
401

Unauthorized

404

Profile has been archived

410

Specified resource not found

422

Must be between 1 - 10 faces per profile

500

Internal server error

Response
No response
Copy

Get a list of Groups

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

GET /accounts/{accountId}/groups
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/groups' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
200

OK

objectobject
groupsarray[object]
idstring

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

labelstring
401

Unauthorized

422

Pagingation out of range

500

Internal server error

Response
{
"groups": [
{
"id": "{string}",
"label": "abuse"
}
]
}
Copy

Create a group to collect profiles

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Request Body

Name and description of group

objectobject
labelstring

maxLength: 50

minLength: 1

POST /accounts/{accountId}/groups
curl --request POST \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/groups' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data '{
"label": "ban_00001"
}'
Copy
Responses
201

Created

objectobject
idstring

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

400

Bad request

401

Unauthorized

409

Reference already used

422

Too many groups created

500

Internal server error

Response
{
"id": "{string}"
}
Copy

Get a group

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

groupIdstring

The ID of the group resource subject to query or modification

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

GET /accounts/{accountId}/groups/{groupId}
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/groups/9a4534a3-a4c1-4a09-ade0-e1d9d457b40d' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
200

OK

objectobject
idstring

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

labelstring
400

Bad request

401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
{
"id": "{string}",
"label": "{string}"
}
Copy

Add a profile to a group

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

groupIdstring

The ID of the group resource subject to query or modification

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Request Body

Add a profile to a group

objectobject
profile_idstring

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

POST /accounts/{accountId}/groups/{groupId}
curl --request POST \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/groups/9a4534a3-a4c1-4a09-ade0-e1d9d457b40d' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data '{
"profile_id": "{string}"
}'
Copy
Responses
201

Created

objectobject
idstring

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

400

Bad request

401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
{
"id": "{string}"
}
Copy

Deletes a group

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

groupIdstring

The ID of the group resource subject to query or modification

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

DELETE /accounts/{accountId}/groups/{groupId}
curl --request DELETE \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/groups/9a4534a3-a4c1-4a09-ade0-e1d9d457b40d' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
204

OK

No response body
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
No response
Copy

Check if a face exists in a group

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

groupIdstring

The ID of the group resource subject to query or modification

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Request Body

Check if an image is in a group

imagestring

base64 encoding png or jpeg of the challenege object

correlationIdstring

unique identifier for the image provided

POST /accounts/{accountId}/groups/{groupId}/challenge
curl --request POST \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/groups/9a4534a3-a4c1-4a09-ade0-e1d9d457b40d/challenge' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data '{
"schema": "{}"
}'
Copy
Responses
200

OK

profile_idstring

The id of the matched profile

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

400

Bad request

401

Unauthorized

404

Specified resource not found

422

No face found in image

500

Internal server error

Response
{
"schema": "{}"
}
Copy

Get historical face checks against a group

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

groupIdstring

The ID of the group resource subject to query or modification

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Query String
pageinteger

Which page of resources to fetch

minimum: 1

Default: 1

GET /accounts/{accountId}/groups/{groupId}/challenges
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/groups/9a4534a3-a4c1-4a09-ade0-e1d9d457b40d/challenges' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data page=1
Copy
Responses
200

OK

checks4 fieldsarray[object]
totalnumber
400

Bad request

401

Unauthorized

500

Internal server error

Response
{
"schema": "{}"
}
Copy

Retrieve all profiles in a group

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

groupIdstring

The ID of the group resource subject to query or modification

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

GET /accounts/{accountId}/groups/{groupId}/profiles
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/groups/9a4534a3-a4c1-4a09-ade0-e1d9d457b40d/profiles' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
200

OK

objectobject
profiles3 fieldsarray
400

Bad request

401

Unauthorized

404

Specified resource not found

422

Pagingation out of range

500

Internal server error

Response
{
"profiles": [
"{array...}"
]
}
Copy

Remove a profile from a group

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

profileIdstring

The ID of the profile resource subject to query or modification

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

groupIdstring

The ID of the group resource subject to query or modification

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

DELETE /accounts/{accountId}/groups/{groupId}/profiles/{profileId}
curl --request DELETE \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/groups/9a4534a3-a4c1-4a09-ade0-e1d9d457b40d/profiles/9a4534a3-a4c1-4a09-ade0-e1d9d457b40d' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
200

OK

No response body
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
No response
Copy

Get a list of policies

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Query String
pageinteger

Which page of resources to fetch

minimum: 1

Default: 1

policystring

The type of policies to the returned

Enum: true,false,all

GET /accounts/{accountId}/policies
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/policies' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data page=1 \
--data policy={policy}
Copy
Responses
200

OK

policies8 fieldsarray
401

Unauthorized

422

Pagingation out of range

500

Internal server error

Response
{
"schema": "{}"
}
Copy

Create a policy for an account

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Request Body

Required data for a policy

objectobject
namestring

minLength: 1

datastring

minLength: 1

typestring

Enum: DOCUMENT,LINK

tagsarray[string]
is_publicboolean

Default: false

POST /accounts/{accountId}/policies
curl --request POST \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/policies' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data '{
"name": "{string}",
"data": "{string}",
"type": "{string}",
"tags": [
"{array[string]...}"
],
"is_public": "{boolean}"
}'
Copy
Responses
201

Created

objectobject
idstring

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

400

Bad request

401

Unauthorized

409

Reference already used

500

Internal server error

Response
{
"id": "{string}"
}
Copy

Get policy details

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

policyIdstring

The Id of a policy resource

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

GET /accounts/{accountId}/policies/{policyId}
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/policies/e0c9708c-1c61-4b52-8dc2-1dec42429480' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
200

OK

policy8 fieldsobject
401

Unauthorized

500

Internal server error

Response
{
"schema": "{}"
}
Copy

Delete a policy

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

policyIdstring

The Id of a policy resource

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

DELETE /accounts/{accountId}/policies/{policyId}
curl --request DELETE \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/policies/e0c9708c-1c61-4b52-8dc2-1dec42429480' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
204

Policy deleted

No response body
400

Bad request

404

Specified resource not found

500

Internal server error

Response
No response
Copy

Tag a policy

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

policyIdstring

The Id of a policy resource

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Request Body

Request to tag a policy

objectobject
tagsarray[string]
POST /accounts/{accountId}/policies/{policyId}/tags
curl --request POST \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/policies/e0c9708c-1c61-4b52-8dc2-1dec42429480/tags' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data '{
"tags": [
"{array[string]...}"
]
}'
Copy
Responses
200

OK

idstring

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

versionstring
401

Unauthorized

500

Internal server error

Response
{
"schema": "{}"
}
Copy

Tag a policy

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

policyIdstring

The Id of a policy resource

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Request Body

Request to update a policy

objectobject
namestring

minLength: 1

datastring
typestring

Enum: DOCUMENT,LINK

tagsarray[string]
POST /accounts/{accountId}/policies/{policyId}/version
curl --request POST \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/policies/e0c9708c-1c61-4b52-8dc2-1dec42429480/version' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data '{
"name": "{string}",
"data": "{string}",
"type": "{string}",
"tags": [
"{array[string]...}"
]
}'
Copy
Responses
200

OK

idstring

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

versionstring
401

Unauthorized

500

Internal server error

Response
{
"schema": "{}"
}
Copy

Get policy details for a specific version

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

policyIdstring

The Id of a policy resource

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

versioninteger

The number of the policy version

minimum: 1

GET /accounts/{accountId}/policies/{policyId}/version/{version}
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/policies/e0c9708c-1c61-4b52-8dc2-1dec42429480/version/1' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
200

OK

policy8 fieldsobject
401

Unauthorized

500

Internal server error

Response
{
"schema": "{}"
}
Copy

Open a websocket connection

Auth
Headers
Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

GET /accounts/{accountId}/sockets/connect
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/sockets/connect' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
101

Upgrade response

No response body
Response
No response
Copy

Authenticate a websocket connection

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Yoti-Connection-Idstring

Websocket Connection ID, used to identify a connection

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

GET /accounts/{accountId}/sockets/listen
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/sockets/listen' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--header 'Yoti-Connection-Id: ca8125f4-8f9e-38cf-b002-fe2e09feb5a2'
Copy
Responses
202

Websocket connection authenticated

No response body
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
No response
Copy

Hold websocket connection open, but stop receiving messages

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Yoti-Connection-Idstring

Websocket Connection ID, used to identify a connection

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

GET /accounts/{accountId}/sockets/mute
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/sockets/mute' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--header 'Yoti-Connection-Id: ca8125f4-8f9e-38cf-b002-fe2e09feb5a2'
Copy
Responses
202

Websocket connection will no longer recieve messages

No response body
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
No response
Copy

Begin recieving messages again

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Yoti-Connection-Idstring

Websocket Connection ID, used to identify a connection

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

GET /accounts/{accountId}/sockets/unmute
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/sockets/unmute' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--header 'Yoti-Connection-Id: ca8125f4-8f9e-38cf-b002-fe2e09feb5a2'
Copy
Responses
202

Websocket connection will begin recieving messages

No response body
401

Unauthorized

404

Specified resource not found

500

Internal server error

Response
No response
Copy

Retrieve a list of report reasons

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Query String
typestring

The type of content to filter by

Enum: VIDEO,LIVE_VIDEO,IMAGE

GET /accounts/{accountId}/flags
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/flags' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data type=VIDEO
Copy
Responses
200

OK

arrayarray
idstring

The id used to identify the report reason

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

reasonstring
400

Bad request

404

Specified resource not found

500

Internal server error

Response
[
"{array...}"
]
Copy

Create a reason for receiving reports

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Request Body

Body to be sent when defining a reason a report is acceptable

reasonstring

maxLength: 500

content_typestring

Enum: VIDEO,IMAGE,LIVE_VIDEO

POST /accounts/{accountId}/flags
curl --request POST \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/flags' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data '{
"schema": "{}"
}'
Copy
Responses
201

Created report

No response body
400

Bad request

500

Internal server error

Response
No response
Copy

Deactivate a report reason

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

reasonIdstring

The ID of a report reason resource

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

DELETE /accounts/{accountId}/flags/{reasonId}
curl --request DELETE \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/flags/fd93da66-b9c1-4a7c-8719-de5bb9ceb7f7' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
204

Report deleted

No response body
400

Bad request

404

Specified resource not found

500

Internal server error

Response
No response
Copy

List reports

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Query String
pageinteger

Which page of resources to fetch

minimum: 1

Default: 1

GET /accounts/{accountId}/reports
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/reports' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3' \
--data page=1
Copy
Responses
200

OK

reports6 fieldsarray
total_countnumber
400

Bad request

404

Specified resource not found

500

Internal server error

Response
{
"schema": "{}"
}
Copy

Audit of reports

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

datestring

A date to start an audit from

pattern: ^2[0-9]{3}-[0-9]{2}-[0-9]{2}$

dayRangestring

A period in days to perform an audit

pattern: ^[1-3]*[0-9]{1}$

GET /accounts/{accountId}/reports/{date}/{dayRange}
curl --get \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/reports/2024-02-14/30' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
200

OK

objectobject
audit8 fieldsarray[object]
404

Specified resource not found

500

Internal server error

Response
{
"audit": [
{
"content_id": "{string}",
"title": "{string}",
"type": "{string}",
"url": "{string}",
"reason_id": "{string}",
"reason": "{string}",
"resolution": "{string}",
"count": "{integer}"
}
]
}
Copy

Dismiss report after a human review

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

idstring

The ID of a resource to operate on

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

POST /accounts/{accountId}/reports/{id}/dismiss
curl --request POST \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/reports/c32c25e2-f7e6-4cb4-879a-771730e881ed/dismiss' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
200

ok

No response body
400

Bad request

404

Specified resource not found

500

Internal server error

Response
No response
Copy

Uphold a report after a human review

Auth
Headers
Authorizationstring

Authorization token

Yoti-Sdk-Idstring

Relying party's App ID

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Path Params
accountIdstring

The account ID you are operating under. One SDK ID may support multiple account IDs e.g. a test account, production account etc.

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

idstring

The ID of a resource to operate on

pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

POST /accounts/{accountId}/reports/{id}/accept
curl --request POST \
--url 'https://trust-and-safety.yoti.com/accounts/e0c9708c-1c61-4b52-8dc2-1dec42429480/reports/c32c25e2-f7e6-4cb4-879a-771730e881ed/accept' \
--header 'Authorization: {Authorization}' \
--header 'Yoti-Sdk-Id: e8468a54-a655-47ed-92d5-ef00dcba0ac3'
Copy
Responses
200

ok

No response body
400

Bad request

404

Specified resource not found

500

Internal server error

Response
No response
Copy